For AI agents: A markdown version of this page is available at https://docs.datadoghq.com/api/latest/incidents/list-postmortem-templates.md. A documentation index is available at /llms.txt.

List postmortem templates

Note: This endpoint is in preview and is subject to change. If you have any feedback, contact Datadog support.

GET https://api.ap1.datadoghq.com/api/v2/incidents/config/postmortem-templateshttps://api.ap2.datadoghq.com/api/v2/incidents/config/postmortem-templateshttps://api.datadoghq.eu/api/v2/incidents/config/postmortem-templateshttps://api.ddog-gov.com/api/v2/incidents/config/postmortem-templateshttps://api.us2.ddog-gov.com/api/v2/incidents/config/postmortem-templateshttps://api.uk1.datadoghq.com/api/v2/incidents/config/postmortem-templateshttps://api.datadoghq.com/api/v2/incidents/config/postmortem-templateshttps://api.us3.datadoghq.com/api/v2/incidents/config/postmortem-templateshttps://api.us5.datadoghq.com/api/v2/incidents/config/postmortem-templates

Overview

Retrieve a list of all postmortem templates for incidents.

Arguments

Query Strings

Name

Type

Description

filter[incident-type]

string

Filter postmortem templates by the associated incident type ID.

sort

string

The attribute to sort results by. Prefix with - for descending order.

Response

OK

Response containing a list of postmortem templates.

Expand All

Field

Type

Description

data [required]

[object]

An array of postmortem template data objects.

attributes [required]

object

Attributes of a postmortem template returned in a response.

confluence_postmortem_settings

object

Settings for a postmortem template stored in Confluence. Required when location is confluence.

account_id [required]

string

The ID of the Confluence integration account.

parent_id

string

The ID of the parent Confluence page under which postmortems are created.

space_id [required]

string

The ID of the Confluence space where postmortems are created.

content [required]

string

The templated content of the postmortem, supporting Markdown and incident template variables.

createdAt [required]

date-time

When the template was created.

google_docs_postmortem_settings

object

Settings for a postmortem template stored in Google Docs. Required when location is google_docs.

account_id [required]

string

The ID of the Google Drive integration account.

parent_folder_id [required]

string

The ID of the Google Drive folder where postmortems are created.

is_default [required]

date-time

When set, marks this template as a default. The effective default for an incident type is the template with the most recent is_default timestamp.

location [required]

enum

The location where the postmortem is created and stored. Allowed enum values: datadog_notebooks,confluence,google_docs

default: datadog_notebooks

modifiedAt [required]

date-time

When the template was last modified.

name [required]

string

The name of the template.

id [required]

string

The ID of the template.

relationships

object

Relationships of a postmortem template returned in a response.

incident_type

object

Relationship to the incident type this template belongs to.

data [required]

object

Incident type relationship data.

id [required]

uuid

The incident type identifier.

type [required]

string

The incident type resource type.

last_modified_by_user

object

Relationship to a user.

data [required]

object

User relationship data.

id [required]

uuid

The user identifier.

type [required]

string

The user resource type.

type [required]

enum

Postmortem template resource type. Allowed enum values: postmortem_templates,postmortem_template

{
  "data": [
    {
      "attributes": {
        "confluence_postmortem_settings": {
          "account_id": "123456",
          "parent_id": "345678",
          "space_id": "789012"
        },
        "content": "# Overview\n\n# What Happened\n\n# Timeline\n\n# Action Items",
        "createdAt": "2026-01-13T17:15:53.208340Z",
        "google_docs_postmortem_settings": {
          "account_id": "123456",
          "parent_folder_id": "789012"
        },
        "is_default": "2024-01-01T00:00:00+00:00",
        "location": "datadog_notebooks",
        "modifiedAt": "2026-01-13T17:15:53.208340Z",
        "name": "Standard Postmortem Template"
      },
      "id": "00000000-0000-0000-0000-000000000000",
      "relationships": {
        "incident_type": {
          "data": {
            "id": "00000000-0000-0000-0000-000000000009",
            "type": "incident_types"
          }
        },
        "last_modified_by_user": {
          "data": {
            "id": "00000000-0000-0000-0000-000000000000",
            "type": "users"
          }
        }
      },
      "type": "postmortem_templates"
    }
  ]
}

Bad Request

API error response.

Expand All

Field

Type

Description

errors [required]

[object]

A list of errors.

detail

string

A human-readable explanation specific to this occurrence of the error.

meta

object

Non-standard meta-information about the error

source

object

References to the source of the error.

header

string

A string indicating the name of a single request header which caused the error.

parameter

string

A string indicating which URI query parameter caused the error.

pointer

string

A JSON pointer to the value in the request document that caused the error.

status

string

Status code of the response.

title

string

Short human-readable summary of the error.

{
  "errors": [
    {
      "detail": "Missing required attribute in body",
      "meta": {},
      "source": {
        "header": "Authorization",
        "parameter": "limit",
        "pointer": "/data/attributes/title"
      },
      "status": "400",
      "title": "Bad Request"
    }
  ]
}

Too many requests

API error response.

Expand All

Field

Type

Description

errors [required]

[string]

A list of errors.

{
  "errors": [
    "Bad Request"
  ]
}

Code Example

                  # Use a Personal Access Token or Service Access Token
export DD_BEARER_TOKEN="<PERSONAL_ACCESS_TOKEN OR SERVICE_ACCESS_TOKEN>"

# Curl command
curl -X GET "https://api.ap1.datadoghq.com"https://api.ap2.datadoghq.com"https://api.datadoghq.eu"https://api.ddog-gov.com"https://api.us2.ddog-gov.com"https://api.uk1.datadoghq.com"https://api.datadoghq.com"https://api.us3.datadoghq.com"https://api.us5.datadoghq.com/api/v2/incidents/config/postmortem-templates" \ -H "Accept: application/json" \ -H "Authorization: Bearer ${DD_BEARER_TOKEN}"
"""
List postmortem templates returns "OK" response
"""

from os import environ
from datadog_api_client import ApiClient, Configuration
from datadog_api_client.v2.api.incidents_api import IncidentsApi

configuration = Configuration()
configuration.access_token = environ["DD_BEARER_TOKEN"]
configuration.unstable_operations["list_incident_postmortem_templates"] = True
with ApiClient(configuration) as api_client:
    api_instance = IncidentsApi(api_client)
    response = api_instance.list_incident_postmortem_templates()

    print(response)

Instructions

First install the library and its dependencies and then save the example to example.py and run following commands:

    
DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comuk1.datadoghq.comddog-gov.comus2.ddog-gov.com" DD_BEARER_TOKEN="<PERSONAL_ACCESS_TOKEN OR SERVICE_ACCESS_TOKEN>" python3 "example.py"
# List postmortem templates returns "OK" response

require "datadog_api_client"
DatadogAPIClient.configure do |config|
  config.access_token = ENV["DD_BEARER_TOKEN"]
  config.unstable_operations["v2.list_incident_postmortem_templates".to_sym] = true
end
api_instance = DatadogAPIClient::V2::IncidentsAPI.new
p api_instance.list_incident_postmortem_templates()

Instructions

First install the library and its dependencies and then save the example to example.rb and run following commands:

    
DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comuk1.datadoghq.comddog-gov.comus2.ddog-gov.com" DD_BEARER_TOKEN="<PERSONAL_ACCESS_TOKEN OR SERVICE_ACCESS_TOKEN>" rb "example.rb"
// List postmortem templates returns "OK" response

package main

import (
	"context"
	"encoding/json"
	"fmt"
	"os"

	"github.com/DataDog/datadog-api-client-go/v2/api/datadog"
	"github.com/DataDog/datadog-api-client-go/v2/api/datadogV2"
)

func main() {
	ctx := datadog.NewDefaultContext(context.Background())
	ctx = context.WithValue(ctx, datadog.ContextAccessToken, os.Getenv("DD_BEARER_TOKEN"))
	configuration := datadog.NewConfiguration()
	configuration.SetUnstableOperationEnabled("v2.ListIncidentPostmortemTemplates", true)
	apiClient := datadog.NewAPIClient(configuration)
	api := datadogV2.NewIncidentsApi(apiClient)
	resp, r, err := api.ListIncidentPostmortemTemplates(ctx, *datadogV2.NewListIncidentPostmortemTemplatesOptionalParameters())

	if err != nil {
		fmt.Fprintf(os.Stderr, "Error when calling `IncidentsApi.ListIncidentPostmortemTemplates`: %v\n", err)
		fmt.Fprintf(os.Stderr, "Full HTTP response: %v\n", r)
	}

	responseContent, _ := json.MarshalIndent(resp, "", "  ")
	fmt.Fprintf(os.Stdout, "Response from `IncidentsApi.ListIncidentPostmortemTemplates`:\n%s\n", responseContent)
}

Instructions

First install the library and its dependencies and then save the example to main.go and run following commands:

    
DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comuk1.datadoghq.comddog-gov.comus2.ddog-gov.com" DD_BEARER_TOKEN="<PERSONAL_ACCESS_TOKEN OR SERVICE_ACCESS_TOKEN>" go run "main.go"
// List postmortem templates returns "OK" response

import com.datadog.api.client.ApiClient;
import com.datadog.api.client.ApiException;
import com.datadog.api.client.v2.api.IncidentsApi;
import com.datadog.api.client.v2.model.PostmortemTemplatesResponse;

public class Example {
  public static void main(String[] args) {
    ApiClient defaultClient = ApiClient.getDefaultApiClient();
    defaultClient.setAccessToken(System.getenv("DD_BEARER_TOKEN"));
    defaultClient.setUnstableOperationEnabled("v2.listIncidentPostmortemTemplates", true);
    IncidentsApi apiInstance = new IncidentsApi(defaultClient);

    try {
      PostmortemTemplatesResponse result = apiInstance.listIncidentPostmortemTemplates();
      System.out.println(result);
    } catch (ApiException e) {
      System.err.println("Exception when calling IncidentsApi#listIncidentPostmortemTemplates");
      System.err.println("Status code: " + e.getCode());
      System.err.println("Reason: " + e.getResponseBody());
      System.err.println("Response headers: " + e.getResponseHeaders());
      e.printStackTrace();
    }
  }
}

Instructions

First install the library and its dependencies and then save the example to Example.java and run following commands:

    
DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comuk1.datadoghq.comddog-gov.comus2.ddog-gov.com" DD_BEARER_TOKEN="<PERSONAL_ACCESS_TOKEN OR SERVICE_ACCESS_TOKEN>" java "Example.java"
// List postmortem templates returns "OK" response
use datadog_api_client::datadog;
use datadog_api_client::datadogV2::api_incidents::IncidentsAPI;
use datadog_api_client::datadogV2::api_incidents::ListIncidentPostmortemTemplatesOptionalParams;

#[tokio::main]
async fn main() {
    let mut configuration = datadog::Configuration::new();
    configuration.set_unstable_operation_enabled("v2.ListIncidentPostmortemTemplates", true);
    let api = IncidentsAPI::with_config(configuration);
    let resp =
        api.list_incident_postmortem_templates(
            ListIncidentPostmortemTemplatesOptionalParams::default(),
        )
        .await;
    if let Ok(value) = resp {
        println!("{:#?}", value);
    } else {
        println!("{:#?}", resp.unwrap_err());
    }
}

Instructions

First install the library and its dependencies and then save the example to src/main.rs and run following commands:

    
DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comuk1.datadoghq.comddog-gov.comus2.ddog-gov.com" DD_API_KEY="<API-KEY>" DD_APP_KEY="<APP-KEY>" cargo run
/**
 * List postmortem templates returns "OK" response
 */

import { client, v2 } from "@datadog/datadog-api-client";

const configuration = client.createConfiguration({
  authMethods: {
    AuthZ: {
      accessToken: process.env.DD_BEARER_TOKEN as string,
    },
  },
});
configuration.unstableOperations["v2.listIncidentPostmortemTemplates"] = true;
const apiInstance = new v2.IncidentsApi(configuration);

apiInstance
  .listIncidentPostmortemTemplates()
  .then((data: v2.PostmortemTemplatesResponse) => {
    console.log(
      "API called successfully. Returned data: " + JSON.stringify(data)
    );
  })
  .catch((error: any) => console.error(error));

Instructions

First install the library and its dependencies and then save the example to example.ts and run following commands:

    
DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comuk1.datadoghq.comddog-gov.comus2.ddog-gov.com" DD_BEARER_TOKEN="<PERSONAL_ACCESS_TOKEN OR SERVICE_ACCESS_TOKEN>" tsc "example.ts"